Bug 821481 - Installing tftpd creates /tftpboot but runs from /var/lib/tftpboot
Installing tftpd creates /tftpboot but runs from /var/lib/tftpboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 11:50 EDT by NickG
Modified: 2013-08-01 04:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:52:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description NickG 2012-05-14 11:50:42 EDT
Description of problem:
Installing tftpd creates /tftpboot but runs from /var/lib/tftpboot

Version-Release number of selected component (if applicable):
5.2-2

How reproducible:
Very.

Steps to Reproduce:
1. yum install tftp-server
2. Check /tftpboot exists
3. Start up the service
I used:
sudo /sbin/chkconfig --level 345 xinetd on
sudo /sbin/chkconfig --level 345 xinetd on
sudo /sbin/service xinetd start
as documented on the Fedora manual pages.

Actual results:
Runs from /var/lib/tftpboot

Expected results:
Runs from /tftpboot

Additional info:
Comment 1 Jan Synacek 2012-05-16 04:51:55 EDT
> 2. Check /tftpboot exists

No /tftpboot here.
Comment 2 Paul B Schroeder 2012-05-16 11:51:57 EDT
The syslinux-tftpboot package puts all of it's files in /tftpboot.  It probably should put them in /var/lib/tftpboot.  Perhaps it is syslinux-tftpboot that should be updated.
Comment 3 Jan Synacek 2012-05-17 01:29:19 EDT
I don't think this is a bug at all. Both packages haven't changed for a long time in this part and neither of them requires or buildrequires one another. Tftp package comes with /etc/xinetd.d/tftp, where you can specify the argument for the path.

Setting needinfo on syslinux maintainer for more insights.
Comment 4 Paul B Schroeder 2012-05-17 03:11:07 EDT
Technically, no, it's not a bug.  But I would argue that it would be a nice "enhancement".  I think people have a reasonable expectation that this sort of thing should work out-of-the-box without having to fudge with config files.
Comment 5 Paul B Schroeder 2012-05-17 03:21:20 EDT
Also..  Maybe syslinux-tftpboot should require tftp-server?  (If there isn't another option for a tftp server?)  syslinux-tftpboot is of much more use with a tftp server.
Comment 6 Jan Synacek 2012-05-17 03:29:44 EDT
> But I would argue that it would be a nice "enhancement".
I definitely agree.

> Maybe syslinux-tftpboot should require tftp-server
Not sure here. Frankly, I don't really understand what the purpose of syslinux-tftpboot is. Hence the [needinfo] flag. After I've fully understood this problem, I can change whatever is needed on the side of tftp package to solve it.
Comment 7 Paul B Schroeder 2012-05-17 04:01:06 EDT
> Not sure here. Frankly, I don't really understand what the purpose of
I think in many (most?) cases, folks are looking for /tftpboot/pxelinux.0 to use as the dhcp initial boot file when setting up PXE booting.  At least, that's what I needed it for.  It wasn't a huge deal, but it was slightly annoying that I had to copy it to /var/lib/tftpboot.  The bigger problem was that it was one more step that I had to explain to less knowledgeable folks who needed to replicate the setup.

> this problem, I can change whatever is needed on the side of tftp package to
> solve it.
IMHO, the tftp package doesn't need changing.  It's syslinux-tftpboot.
Comment 8 Jan Synacek 2012-05-29 06:37:09 EDT
Changing component to syslinux.
Comment 9 Fedora End Of Life 2013-07-03 22:36:59 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 04:52:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.